"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createLogger = void 0;
const is_electron_renderer_1 = __importDefault(require("is-electron-renderer"));
const logger_1 = require("./logger");
function emit(ipc, event, data) {
    // We use ipc.callQuiet instead of ipc.call because we already
    // print debugging messages below
    void ipc?.callQuiet?.(event, data);
    if (typeof process !== 'undefined' && typeof process.emit === 'function') {
        process.emit(event, data);
    }
}
function createLogger(component) {
    // This application may not be running in an Node.js/Electron context.
    const ipc = is_electron_renderer_1.default
        ? // eslint-disable-next-line @typescript-eslint/no-var-requires
            require('hadron-ipc').ipcRenderer
        : null;
    return (0, logger_1.createGenericLogger)(component, emit.bind(null, ipc));
}
exports.createLogger = createLogger;
//# sourceMappingURL=ipc-logger.js.map